## profilesx 0.1

=== Makefile ===
SUBDIRS = control_panel_plugin_src status_panel_plugin_src

HILDON_CONTROL_PANEL_LIB_DIR=$(shell pkg-config hildon-control-panel --variable=pluginlibdir)
HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
HILDON_CONTROL_PANEL_DATA_DIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)
HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
BUILDDIR=build
CP_LIB=profilesx-cp-plugin.so
SP_LIB=profilesx-sp-plugin.so
UTIL_BIN=profilesx-util
UTIL_PATH=/usr/bin
DATA_FILE_CP=profilesx-cp-plugin.desktop
DATA_FILE_SP=profilesx-sp-plugin.desktop
#ETC_PROFILE_FILE=80.profilesx.ini
#ETC_PROFILE_PATH=/etc/profiled
IMAGE_PATH=/usr/share/icons/hicolor/18x18/hildon/
IMAGE_48_PATH=/usr/share/icons/hicolor/48x48/hildon/
SUDOERS_PATH=/etc/sudoers.d
all: create_builddir subdirs

install: all
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(CP_LIB) $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(SP_LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_CP) $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_SP) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
#	install -d $(DESTDIR)/$(ETC_PROFILE_PATH)
#	install -m 644 data/$(ETC_PROFILE_FILE) $(DESTDIR)/$(ETC_PROFILE_PATH)
	install -d $(DESTDIR)/$(SUDOERS_PATH)
	install -m 644 data/profilesx.sudoers $(DESTDIR)/$(SUDOERS_PATH)
	install -d $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/statusarea_profilesx_im.png $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/statusarea_profilesx_loud.png $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/statusarea_profilesx_outside.png $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/statusarea_profilesx_outside.png $(DESTDIR)/$(IMAGE_PATH)
	install -d $(DESTDIR)/$(IMAGE_48_PATH)
	install -m 644 data/profilesx_cp_setup.png $(DESTDIR)/$(IMAGE_48_PATH)
	install -m 755 $(BUILDDIR)/$(UTIL_BIN) $(DESTDIR)/$(UTIL_PATH)



subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:  
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean);done

=== debian/changelog ===
profilesx (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 12 Apr 2010 19:57:48 +0200

=== debian/control ===
Source: profilesx
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libprofile-dev, libosso-dev, libhildondesktop1-dev, libglib2.0-dev, libhildonfm2-dev, hildon-control-panel-dev, libgstreamer0.10-dev, profile-data-dev, libdbus-1-dev
Standards-Version: 3.7.2
Section: user/system

Package: profilesx
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extended Ringtone Profiles
 Control-panel and status-panel to add and manage
 additional ringtone profiles.
XB-Maemo-Display-Name:ProfilesX Extended Profiles Manager 
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEDBISLJWp578AAAg5SURBVGjezZl9bFPXGcafc++NHX8lIWkoSUDQ
 lSUEsa0qK4PRrbDyJa1bpSJt6tppH1QBdSuim7LBH5uomjUtQdMGGyuhqBu0
 1UYHUwFtVcUEdE3BgkBYIZAE4iQjn44/7rV9r33vPefsDzuO4zir6WzTG72y
 Ih2f6+c9zz3n/b2XII/X2DOvi5zzSgK4hhSf+cDbjZ5c30PI148feerVn1DG
 ejjBTUNCt9dz+wyA+3J9HynXEw5+v3UJCDlCTVYveEMQxlUE/H5oukwB8E/1
 Crg3Nj/IOL8ERasv6hiG2BcEwjqIQEANU79w4dKOSCTKQyG1LRRSnwuHNfFT
 I+DM4y+smG0rbSejoSLp+jg4Y/HgHIxxcA4wxkApg2myLzPG9zDGDEWJ/DUS
 CTvutgBSUexqRUTnwn8UUAGgJB4MACNx7zDGQSmDYZiIxQzoOiWU8o26jtDQ
 kLfmrgl4fdWzm4uloiVFN/2EY+ofA5v8TK5GPCil0HUDlFJisVi62trc990N
 AeIXKub/lIxFwEwGyjkoS4nE/3ELcXAet1Fq6LoJxuC4//6FN1avXuMoqIBn
 F6+vswjSQihRMIGDkbRA/JOCAQAYAyhlYIxPCV03IAiiZf/+1w4UdBsttzo/
 E+MU4bAMwWAZx6jMSDwDLBE8445qGCa32WwbALgAhAoiIMqN2ZcvXwpCZwCZ
 4QkHgUa1cHUy45mF6jojdnvxrMbGHetaWpqPZrV75OAZ+AaAFVmM850+3VZb
 V1ffEIsZIGT6rTnnsFotuHbtyt61a1dtA8AKcRKfA9CeTbJ03dx59WonVDUy
 4yCbrRjV1TWrARQBiBViBbK9HACeAvDQx2SWABgE8BsAct4FNDbu+PqTT373
 zfLyCpAZZmOM48qVjpuCILgXLVq0hTFuzDQfpabo8XjaH3tszaMAInm3UF9f
 v0OWlVJRtEKSiqZniAA+nw9+f9BZVXWvRIgkUGpaM2aTAIoSRk9Ply/b5P7f
 58C77570MsagaRo3TYr0MAya2PdZSikxfVw8GKLRKM6da2vP5gHOiYBQSOm9
 fLm9W9MiJF6s0QzBkuVDfBulGcdFIiEEgwF25MhbFyRJooUqJQItLS/9MRJR
 oarqtBN2snyYPAMyncSUMgSDAXg8nlsAhkzTjBVEACEkMjo6/P7Fi+7OQGAc
 hmHy1DpnwjpTV4BPqYU4B2TZD0opWlqa3gDQn/NSYia+5ZxTAL07d24/eOjQ
 0RdNk9orK6u4IIiJIpokss+SK5B+EstyAIoSYLt3/+rk8PDgCQDjOS3msuDb
 YQD/2Lr1md+Pjo7IIyODJByWkxCTugoT2ecc0HUDIyNDUNUIWlqaTpw//0Er
 gJs5K+bukG+7g8HAoc2bnw5v3fqzby1btqKuuFiWbDY7YrEYn/C9YegIhRTE
 YhpiMQ3Dw4Njra2/+2dn57//DuBCtkXcxwpI8O15IRQtKur2T3o+hW8XL17c
 wBj7EMCfCSH7nE5bJwC6Z8+uYQBf3LTpRw8sX/7wErvdbgc4TNPEwEAfotEo
 u3Wrp+/IkcPtnZ0fjTgk69G9X900/O3PriwdUnyOO2m/kJn4dr6r8sOicRVF
 A8rkKELgMyK4ER7pqjm27Wx9/eIGShkEgYAQcADHRJF/z+FwSgDqAdQBqHI6
 S6riJzLtsVgsDwaDgbHEgzrofrzpobnlc54WRaGSinB0tl8ZWHvxt6sAeD7p
 CqTyLaHCVLWZ+BYABEEgoihspBRPDA1551VXV54H8BGAinBYKU58XVDVyHsA
 2KE1z1U/Ou/zr8Jk9cJ4+BO3X4Q8820EwACAbgBdAK4D6HZvbC5ZXbPkVC7a
 L0Kh+TbX7RehwHyb8/aLVEi+Tdqz0wue9p0pNk2xZ7zEjtdKoihM2PNzK1d+
 yTNNQJ75doo9QdJ0E2S051RWYJAkacKe5adPn4pMEbC747gXwB+y4lv+89qk
 pBn4llKOdevWP9LS0vy3SXuGwITMm0wme6bPresGLBbJsn//awdqaxd8RyoU
 3+bLnukCsi2iHOvXP3JhInFZ8G1xvuxJCsi3X8tH+0UqIN/mxZ5SOt9u2fJj
 aJrGbTaBZM7qdL7NtFqEkHS+zYs9pUx8u3Tpslqr1Zbch9MFpPNtpisW06bw
 7fPPN96pPX+YjT2lTHx78OBbL1ksKqzW4gz+m8636T7lnE/j23zZUygU3+ar
 /SKkZS7Jt36/Xx0dHSSmafLJbPOMfJsagYAPwWCANTX94ngq3+ar/ZKJifPF
 t3lpv8xUZwei0ejQyZPHgnPmVM0uKysr1zRNoNRELBbjwWDQ53K5+p1O11JZ
 lqEoAciyD7dv94/t2vXi8Y6Oi+8A+BeAQIo9zXA4RGtr65eXl5dXWq12DoBM
 ZBzg0DQNfr/P53I5+8vKypcahplcEc45CCGQZT8MQ8f27dv2hMOhUzMJ4Iml
 H3W724aPHfvLqMtVQktLy2YRwi2qqvrsdnt/KKQsVZQgu379qmffvl+fOnz4
 oNvrHf0TgA8A+DLMaZ45c8rYsOGbXzFN3WKzOThAEiKQEDDuczqd/WVls6YJ
 kOUAZDnAXn75hRM3blxrBdCbTQO1NFu+BdCRsKDxP+arLyub9YNXXtnbcM89
 s0tLSkrhcJQkd67e3p6umpqqswsWLGxQ1SgEQYBhGPD7vSAEaG7+5Ttud9sB
 AO8DCN1Je90BoAJAkm8B0MRhowAYy/atZiIhT0y2XxzJ9svAQH/33LnVZ+fN
 m9/g9wdnar+8N3G/Qr7gSCfBOgAPp7dfvN7xrjlz7j0rimJDevsFwNuJRkHw
 bryhyYs9/ws04ipGcdzGhgAAAABJRU5ErkJggg==
 ====

## profilesx 0.2

=== debian/changelog ===
profilesx (0.2) unstable; urgency=low

  * changed section field in debian/control

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 17 Apr 2010 12:54:45 +0200

## profilesx 0.3

=== control_panel_plugin_src/Makefile ===
OBJS=profilesx-control-panel-plugin.o profilesx-profile-waitdialog.o profilesx-profile-editor-dialog.o
SOURCES = profilesx-control-panel-plugin.c profilesx-profile-waitdialog.c profilesx-profile-editor-dialog.c
BUILDDIR = ../build
LIB=$(BUILDDIR)/profilesx-cp-plugin.so
PKG_FLAGS=$(shell pkg-config gstreamer-base-0.10 hildon-fm-2 profile gtk+-2.0 hildon-control-panel libosso --libs --cflags)
UTIL-BIN=profilesx-util
UTIL-OBJ=profilesx-util.o
CCFLAGS=-shared
CC=gcc

all: $(LIB) $(UTIL-BIN)

$(UTIL-BIN): $(UTIL-OBJ)
	$(CC) $(shell pkg-config glib-2.0 --cflags --libs) $< -o $(BUILDDIR)/$@

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)


.c.o:
	$(CC) $(PKG_FLAGS) -c $< -o $@


.PHONY: clean all

clean:
	rm $(OBJS) $(UTIL-OBJ)

=== debian/changelog ===
profilesx (0.3) unstable; urgency=low

  * missed one status-menu icon

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 17 Apr 2010 13:07:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Section: user/system
 
 Package: profilesx
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Extended Ringtone Profiles

## profilesx 0.4

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	install -m 644 data/statusarea_profilesx_im.png $(DESTDIR)/$(IMAGE_PATH)
 	install -m 644 data/statusarea_profilesx_loud.png $(DESTDIR)/$(IMAGE_PATH)
 	install -m 644 data/statusarea_profilesx_outside.png $(DESTDIR)/$(IMAGE_PATH)
-	install -m 644 data/statusarea_profilesx_outside.png $(DESTDIR)/$(IMAGE_PATH)
+	install -m 644 data/statusarea_profilesx_home.png $(DESTDIR)/$(IMAGE_PATH)
 	install -d $(DESTDIR)/$(IMAGE_48_PATH)
 	install -m 644 data/profilesx_cp_setup.png $(DESTDIR)/$(IMAGE_48_PATH)
 	install -m 755 $(BUILDDIR)/$(UTIL_BIN) $(DESTDIR)/$(UTIL_PATH)

=== debian/changelog ===
profilesx (0.4) unstable; urgency=low

  * profile names can now include spaces
  * sound preview works even if "silent" profile is active (thanks to qwerty12)
  * code clean up
  * .aac ringtones selectable from filemanager
  * removed unused profile options from silent profile editor 
    (tone selector, volume slider, soundlevel ...)

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 21 Apr 2010 01:41:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: profilesx
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libprofile-dev, libosso-dev, libhildondesktop1-dev, libglib2.0-dev, libhildonfm2-dev, hildon-control-panel-dev, libgstreamer0.10-dev, profile-data-dev, libdbus-1-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libprofile-dev, libosso-dev, libhildondesktop1-dev, libglib2.0-dev, libhildonfm2-dev, hildon-control-panel-dev, libgstreamer0.10-dev, profile-data-dev, libdbus-1-dev, libpulse-dev
 Standards-Version: 3.7.2
 Section: user/system

## profilesx 0.5

=== debian/changelog ===
profilesx (0.5) unstable; urgency=low

  * works now - again
  * fixed many bugs :-)
  * hides builtin profile statusbar menu button
  * let you choose ogg files for ringtones

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 19 Jun 2010 16:41:58 +0200

## profilesx 0.6

=== debian/changelog ===
profilesx (0.6) unstable; urgency=low
    
    * fixed saving icon config in config file (if config file 
      doesn't exists yet)

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 21 Jun 2010 14:10:39 +0200

## profilesx 0.7

=== debian/changelog ===
profilesx (0.7) unstable; urgency=low

  * applied a patches from qwerty12, this patch fixes a bug in the
    where long filenames scrolled the UI horizontal.
    And some more UI enhancement to make the app look more like the
    original app.(thank you qwerty12!)

 -- Nicolai Hess <nicolaihess@web.de>  Sat,  3 Jul 2010 23:12:49 +0200

## profilesx 0.8

=== control_panel_plugin_src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-OBJS=profilesx-control-panel-plugin.o profilesx-profile-waitdialog.o profilesx-profile-editor-dialog.o
-SOURCES = profilesx-control-panel-plugin.c profilesx-profile-waitdialog.c profilesx-profile-editor-dialog.c
+OBJS=profilesx-control-panel-plugin.o profilesx-profile-waitdialog.o profilesx-profile-editor-dialog.o profilesx-profile-data.o
+SOURCES = profilesx-control-panel-plugin.c profilesx-profile-waitdialog.c profilesx-profile-editor-dialog.c profilesx-profile-data.c
 BUILDDIR = ../build
 LIB=$(BUILDDIR)/profilesx-cp-plugin.so
 PKG_FLAGS=$(shell pkg-config gstreamer-base-0.10 hildon-fm-2 profile gtk+-2.0 hildon-control-panel libosso --libs --cflags)

=== status_panel_plugin_src/Makefile ===
SRCDIR = src
OBJS=profilesx-status-panel-plugin.o profile_changed_marshal.o
SOURCES = profilesx-status-panel-plugin.c
MARSHAL_LIST=profile_changed_marshal.h profile_changed_marshal.c
BUILDDIR = ../build
LIB=$(BUILDDIR)/profilesx-sp-plugin.so
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 profile --libs --cflags)
CCFLAGS=-shared
CC=gcc

all: $(MARSHAL_LIST) $(LIB)


$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

profile_changed_marshal.c: profile_changed_marshal.list
	glib-genmarshal --body --prefix=_profile_changed_marshal profile_changed_marshal.list  > profile_changed_marshal.c


profile_changed_marshal.h: profile_changed_marshal.list
	glib-genmarshal --header --prefix=_profile_changed_marshal profile_changed_marshal.list > profile_changed_marshal.h


.PHONY: clean all
clean:
	rm $(OBJS) $(MARSHAL_LIST)

=== debian/changelog ===
profilesx (0.8) unstable; urgency=low

  * Fixed bug with preview volume scale (was linear, but
    I think reciproke cubic matches the real ringtone volume better)
  * new feature: enable auto answer for profiles
  * new feature: enable turn speaker on for profiles

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 17 Jan 2011 22:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: profilesx
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libprofile-dev, libosso-dev, libhildondesktop1-dev, libglib2.0-dev, libhildonfm2-dev, hildon-control-panel-dev, libgstreamer0.10-dev, profile-data-dev, libdbus-1-dev, libpulse-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libprofile-dev, profile-data-dev, libosso-dev, libhildondesktop1-dev, libglib2.0-dev, libhildonfm2-dev, hildon-control-panel-dev, libgstreamer0.10-dev, libdbus-1-dev, libpulse-dev
 Standards-Version: 3.7.2
 Section: user/system

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/profilesx install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xprofilesx-util
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## profilesx 0.9

=== debian/changelog ===
profilesx (0.9) unstable; urgency=low

  * fixed segfault in is_proximity_covered
  * changed button label to "ProfilesX"

 -- Nicolai Hess <nicolaihess@web.de>  Thu, 20 Jan 2011 20:34:50 +0100

## profilesx 0.10

=== debian/changelog ===
profilesx (0.10) unstable; urgency=low

  * another option "Disable Proximity Check" for
    the autoanswer.

 -- Nicolai Hess <nicolaihess@web.de>  Thu,  3 Feb 2011 21:49:43 +0100

## profilesx 1.0

=== debian/changelog ===
profilesx (1.0) unstable; urgency=low

  * changed menu button label back to the builtin name Profile
  * changed version numbering (version 0.10 wasn't recognized
    as newer version)

 -- Nicolai Hess <nicolaihess@web.de>  Thu,  3 Feb 2011 23:21:37 +0100

## profilesx 1.2

=== debian/changelog ===
profilesx (1.2) unstable; urgency=low

  * make dialogs usable in portrait mode

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 14 Feb 2011 22:30:21 +0100

profilesx (1.1) unstable; urgency=low

  * configure delay for autoanswer
  * fixed minor bug in controlpanel plugin (initial value for disable proximity check)

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 14 Feb 2011 22:18:02 +0100

## profilesx 1.3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,11 @@
 HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
 HILDON_CONTROL_PANEL_DATA_DIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)
 HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
+
+#HILDON_CONTROL_PANEL_LIB_DIR=/usr/lib/hildon-control-panel
+#HILDON_STATUS_PANEL_LIB_DIR=/usr/lib/hildon-desktop
+#HILDON_CONTROL_PANEL_DATA_DIR=/usr/share/applications/hildon-control-panel
+#HILDON_STATUS_PANEL_DATA_DIR=/usr/share/applications/hildon-status-menu
 BUILDDIR=build
 CP_LIB=profilesx-cp-plugin.so
 SP_LIB=profilesx-sp-plugin.so

=== debian/changelog ===
profilesx (1.3) unstable; urgency=low

  * fixed custom icon setting (icon couldn't be on next reboot)

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 11 Mar 2011 00:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Extended Ringtone Profiles
  Control-panel and status-panel to add and manage
- additional ringtone profiles.
+ additional ringtone profiles. And enable two additional
+ options: Autoanswer, enable loudspeaker. 
 XB-Maemo-Display-Name:ProfilesX Extended Profiles Manager 
 XSBC-Bugtracker: mailto:nicolaihess@web.de
 XB-Maemo-Icon-26:

## profilesx 1.4

=== debian/changelog ===
profilesx (1.4) unstable; urgency=low

  * fixed new bug with icon selection for builtin icons

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 12 Mar 2011 14:09:22 +0100

## profilesx 1.5

=== debian/changelog ===
profilesx (1.5) unstable; urgency=low

  * add portrait mode support in status area menu dialog

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 12 Sep 2011 00:07:16 +0200

## profilesx 1.6

=== debian/changelog ===
profilesx (1.6) unstable; urgency=low

  * fixed bug with "whitespace only" profile name
  * fixed localization of status-menu title

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 29 Jan 2012 22:53:42 +0100
